static char SccsId[] = "@(#)spzrot.c	1.7   10/2/95";
/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */

#define ASL_USE_MACRO

#include <farl.h>
#include <asl.h>

void
main()
{
	ASLSct		sct;
	ASLSource	src;
	int		i;

	FX73init();
	FX73_cmap_i5c4();
	FarlInit();
	src.bank   =   0;
	src.x_pos  =   0;
	src.y_pos  =   0;
	src.x_size = 256;
	src.y_size = 256;
	src.x_hot  = 128;
	src.y_hot  = 128;
	ASLSetSpriteWindow( 0, 0, 255, 239 );

	for (;;) {
		for ( i =   3; i < 360; i++ ) {
			ASLMakeZoomRotateSprite( &src, 128, 120,
				( i % 360 ) * 10, i * 128 / 360, &sct );
			ASLSetSpriteTable( 1, 0, 1, &sct );
			ASLExecuteSprite( 1, 0, 1 );
			ASLSync();
			FarlSwapWindow();
			ASLWaitForSwap();
		}
		for ( i = 360; i < 718; i++ ) {
			ASLMakeZoomRotateSprite( &src, 128, 120,
				( i % 360 ) * 10, ( 720 - i ) * 128 / 360, &sct );
			ASLSetSpriteTable( 1, 0, 1, &sct );
			ASLExecuteSprite( 1, 0, 1 );
			ASLSync();
			FarlSwapWindow();
			ASLWaitForSwap();
		}
	}
}

